@echo off
echo off

REM *** UEDIR.BAT ***

rem Speedup if 4DOS is present and make sure the compount character is OK.
if not "%@eval[2+2]" == "4" goto no4dos
    loadbtm on
    echo check > UUU4SENS
    echo ˙ ~ copy UUU4SENS UUUCOMPO > nul
    del UUU4SENS > nul
    if not exist UUUCOMPO goto no4dos
    del UUUCOMPO > nul
    SETDOS /C^
    SET UUUCR=T
:no4dos

cls
echo ĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶ
echo  °ŪŪŪ   °ŪŪŪ  °ŪŪŪŪ      UEDIR, Ultra Extract Directory [2.3]
echo °Ū  °Ū   °Ū   °Ū  °Ū     'Decompresses a complete directory structure
echo °ŪŪŪŪŪ   °Ū   °ŪŪŪŪ  -NL  which was compressed by UCDIR'
echo °Ū  °Ū   °Ū   °Ū ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo °Ū  °Ū  °ŪŪŪ  °Ū (c) 1991-1995, Ad Infinitum Programs, all rights reserved
echo ĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶĶ

if not exist UCDIRDAT.UC2 goto noucdir

echo ŚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄæ
set UC2_WIN=xxxxxxxxxxxxxxx > nul
if not q%UC2_WIN%==qxxxxxxxxxxxxxxx goto smallenv
set UC2_WIN=003 009 078 020
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ³                                                                             ³
echo ĄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄŁ
:smallenv
UC E -F -S UCDIRDAT
echo ˙
echo ĄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄŁ
set uc2_win=

if errorlevel 21 goto archerror
if errorlevel 20 goto ok
if errorlevel 1 goto archerror

:ok
echo UEDIR: All files from UCDIRDAT.UC2 have been extracted into the current
echo        directory and below. UCDIRDAT.UC2 is still present to allow UCDIR
echo        to perform much faster, the next time you use it.
attrib -r ucdirdat.uc2 > nul
goto end

:noucdir
echo UEDIR ERROR: No UCDIRDAT.UC2 found in the current directory.
goto end

:archerror
echo UEDIR ERROR: Not all files/directories have been extracted.
goto end

:end

rem Restore 4DOS compound character if appropriate.
if q%UUUCR%==qT SETDOS /C~
if q%UUUCR%==qT SET U$CR=
